package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户智能志愿报告对象 tb_member_report_intelligence
 *
 * @author ruoyi
 * @date 2023-10-28
 */
public class MemberReportIntelligence extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户报告id */
    private Long reportId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;
    private String userName;

    /** 批次id */
    @Excel(name = "批次id")
    private Long batchId;

    /** 报告名 */
    @Excel(name = "报告名")
    private String reportName;

    /** 报告类型 */
    @Excel(name = "报告类型")
    private String reportType;

    /** 审核状态 */
    // 0未申请审核 1已申请未评阅(已缴费) 2已评阅
    @Excel(name = "审核状态")
    private String checkType;

    /** 审核评语 */
    //审核评语
    @Excel(name = "审核评语")
    private String checkRemark;



    /** 删除标志(0代表存在 2代表删除) */
    private String delFlag;

    /** 绑定学校ID */
    private Long bindingSchoolId;

    /** 小程序邀请人ID */
    private Long indexUserId;

    public Long getIndexUserId() {
        return indexUserId;
    }

    public void setIndexUserId(Long indexUserId) {
        this.indexUserId = indexUserId;
    }

    public Long getBindingSchoolId() {
        return bindingSchoolId;
    }

    public void setBindingSchoolId(Long bindingSchoolId) {
        this.bindingSchoolId = bindingSchoolId;
    }

    public void setReportId(Long reportId)
    {
        this.reportId = reportId;
    }

    public Long getReportId()
    {
        return reportId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setBatchId(Long batchId)
    {
        this.batchId = batchId;
    }

    public Long getBatchId()
    {
        return batchId;
    }
    public void setReportName(String reportName)
    {
        this.reportName = reportName;
    }

    public String getReportName()
    {
        return reportName;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public String getReportType() {
        return reportType;
    }

    public void setReportType(String reportType) {
        this.reportType = reportType;
    }

    public String getCheckType() {
        return checkType;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType;
    }

    public String getCheckRemark() {
        return checkRemark;
    }

    public void setCheckRemark(String checkRemark) {
        this.checkRemark = checkRemark;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
